ISPConfig Installation fails

Discussion in 'Installation/Configuration' started by papaminimaus, Mar 27, 2007.

  1. papaminimaus

    papaminimaus New Member

    My Update from 2.2.9 to 2.2.11 on Suse 9.3 failed, i think because the hardware of my vserver changed from XEON to AMDX2. If i try to reinstall now, i recieve the following error:
    Openssl-devel and dev32 are installed.

    Can anyone help? My Server is witout configuration now :(


  2. papaminimaus

    papaminimaus New Member


    The devel-rpms for 64 and 32 bit are installed.

    If i cannot compile OPenssl, is there a way to use the existing installation?


  3. falko

    falko Super Moderator ISPConfig Developer

    You could modify the configuration options in install_ispconfig/compile_aps/compile.
  4. papaminimaus

    papaminimaus New Member

    by the way ...

    ... sholdnt the existing installation be left untouched, when the update fails before compiling is finished?

    I know a backup would have solved my problem, but as we all know, you sometimes forget to do something :(

    Greets Arne .. who will try to find the files metioned.
  5. till

    till Super Moderator Staff Member ISPConfig Developer

    No, because the new installation must be compiled in the same place.

    If you upgrade a existing installation and the compilation of the new version fails, just run:

    mkdir /root/ispconfig

    and try the setup again, so no data is lost.
  6. papaminimaus

    papaminimaus New Member

    Suse 9.3 binaries

    as i have backuped the database and the configuration files, it should be possible to just insert the suse binaries again. can someone help me out with a tar.gz of his adminispconfig directory of a 2.2.9 installation? (on Suse 9.3 ...)


  7. till

    till Super Moderator Staff Member ISPConfig Developer

    Please see my post above for the correct eay to do the installation again.

Share This Page